# Class: LexicalLinter

Defined in: | node_modules/gulp-coffeelint/node_modules/coffeelint/src/lexical_linter.coffee
Inherits: | BaseLinter

## Overview

A class that performs checks on the output of CoffeeScript's lexer.

## Instance Method Summary

- # (void) acceptRule(rule)
- # (void) lint() Return a list of errors encountered in the given source.
- # (void) lintToken(token) Return an error if the given token fails a lint check, false otherwise.
- # (void) createError(ruleName, attrs = {})

## Inherited Method Summary

### Methods inherited from BaseLinter

#isObject #createError #acceptRule #setupRules #normalizeResult

## Constructor Details

# (void) constructor(source, config, rules, CoffeeScript)

## Instance Method Details

# (void) acceptRule(rule)

# (void) lint()

Return a list of errors encountered in the given source.

# (void) lintToken(token)

Return an error if the given token fails a lint check, false otherwise.

# (void) createError(ruleName, attrs = {})

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input